DocumentFilter.FilterBypass (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class DocumentFilter.FilterBypass

    java.lang.Object
      |
      +--javax.swing.text.DocumentFilter.FilterBypass

Enclosing class:
  DocumentFilter

public abstract static class DocumentFilter.FilterBypass
extends Object

Used as a way to circumvent calling back into the Document to change it. Document implementations that wish to support a DocumentFilter must provide an implementation that will not callback into the DocumentFilter when the following methods are invoked from the DocumentFilter.

Constructor Summary
`DocumentFilter.FilterBypass()`

Method Summary
`abstract Document` | `getDocument()` Returns the Document the mutation is occuring on.
`abstract void` | `insertString(int offset, String string, AttributeSet attr)` Inserts the specified text, bypassing the DocumentFilter.
`abstract void` | `remove(int offset, int length)` Removes the specified region of text, bypassing the DocumentFilter.
`abstract void` | `replace(int offset, int length, String string, AttributeSet attrs)` Deletes the region of text from `offset` to `offset + length`, and replaces it with `text`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentFilter.FilterBypass

    public DocumentFilter.FilterBypass()

Method Detail

### getDocument

    public abstract Document getDocument()

  Returns the Document the mutation is occuring on.

  Returns:
    Document that remove/insertString will operate on

### remove

    public abstract void remove(int offset,
                                int length)
                         throws BadLocationException

  Removes the specified region of text, bypassing the DocumentFilter.

  Parameters:
    `offset` - the offset from the beginning >= 0
    `length` - the number of characters to remove >= 0
  Throws:
    `BadLocationException` - some portion of the removal range was not a valid part of the document. The location in the exception is the first bad position encountered.

### insertString

    public abstract void insertString(int offset,
                                      String string,
                                      AttributeSet attr)
                               throws BadLocationException

  Inserts the specified text, bypassing the DocumentFilter.

  Parameters:
    `offset` - the offset into the document to insert the content >= 0. All positions that track change at or after the given location will move.
    `string` - the string to insert
    `attr` - the attributes to associate with the inserted content. This may be null if there are no attributes.
  Throws:
    `BadLocationException` - the given insert position is not a valid position within the document

### replace

    public abstract void replace(int offset,
                                 int length,
                                 String string,
                                 AttributeSet attrs)
                          throws BadLocationException

  Deletes the region of text from `offset` to `offset + length`, and replaces it with `text`.

  Parameters:
    `offset` - Location in Document
    `length` - Length of text to delete
    `attrs` - AttributeSet indicating attributes of inserted text, null is legal.
  Throws:
    `BadLocationException` - the given insert is not a valid position within the document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.